MongoConnectionException
Historique des modifications
Exceptions
PHP Manual

# La classe MongoGridFSException

(PECL mongo >= 1.0.0)

## Introduction

Émise lors d'erreur de lecture ou d'écriture de fichiers dans la base.

## Synopsis de la classe

MongoGridFSException extends MongoException {
}

## Codes d'erreur

Codes d'erreur de MongoGridFSException
Code | Message | Raison
--- | --- | ---
3 | Could not open file $filename | Tentative de stocker un fichier invalide, comme un dossier
4 | File $filename is too large: $filesize bytes | La taille maximale d'un fichier en GridFS est 4GB
5 | could not find filehandle | La ressource n'est pas de gestionnaire de fichier
6 | no file is associate with this filehandle | La ressource n'est pas une ressource de fichier
7 | error setting up file: $filenames | Impossible d'ouvrir le fichier en lecture
9 | error reading file $filenames | Échec dans la lecture du fichier
10 | error reading filehandle | Échec de la lecture depuis une ressource
11 | could not find uploaded file %s | Le nom de fichier ne semble pas être un fichier téléchargé
12 | Couldn't find tmp_name in the $_FILES array. Are you sure the upload worked? | Le téléchargement du fichier a probablement échoué
13 | tmp_name was not a string or an array | Nom de fichier fourni invalide
14 | couldn't find file size | La propriété length est manquante
15 | Cannot find filename | Aucun fichier fourni, et aucun jeu de propriété pour filename
16 | could not open destination file %s | La destination du fichier n'est pas accessible en écriture
17 | error reading chunk of file | Corruption de type Chunk
18 | couldn't create a php_stream | Impossible de créer une ressource de flux
19 | couldn't find property | Corruption de type Chunk
20 | chunk number has wrong size (size) when the max is maxchunksize | Le Chunk est plus grand qu'attendu
21 | chunk has wrong format | Corruption de type Chunk

MongoConnectionException
Historique des modifications
Exceptions
PHP Manual